from pylab import *
from copy import deepcopy
from sys import argv, exit

if len(argv) < 3:
    print "Parameters: list of pairs <PolicyName,FileToRead>"
    exit(-1)

myArg = deepcopy(argv)
myArg.reverse()
myArg.pop()
caseList = []
while len(myArg) > 0:
    caseList.append((myArg.pop(), myArg.pop()))

for policyName, fName in caseList:
    x = []
    y = []
    f = open(fName)
    l = f.readline()
    while l<>'':
        pol, df, rR = l.rstrip().split(' ')
        if pol==policyName and float(rR)>0.0 and float(df)<0.8:
            x.append(float(df))
            y.append(float(rR))
        l = f.readline()
    plot(x,y,label=policyName)
    f.close()
legend()


show()
