from pylab import *
from sys import argv, exit, stdin

if len(argv)<2:
    print "Arguments: <projDir> <file+>"
    exit(-1)

fNames = argv[2:]


def processTriple(f):
    pol = f.readline()
    df = []
    s = []
    try:
        df = map(lambda x:float(x),f.readline().rstrip().split(' '))
        s = map(lambda x:float(x),f.readline().rstrip().split(' '))
    except ValueError:
        pass
    return pol, s, df

suptitle('Best policy', fontsize=14)
title('fitness penalty='+' and drug frequency=')
plotNum = 1
for fName in fNames:
    print len(fNames), plotNum
    subplot(len(fNames)/2, 2, plotNum)
    if plotNum==1:
        title("Hard criteria")
    elif plotNum==2:
        title("Soft criteria")
    if plotNum % 2 == 1:
        ylabel("MOI " + str(2**(plotNum/2)))
    plotNum += 1
    f = open(fName)
    pol, s, df = processTriple(f)
    if len(s)>0:
        scatter(df, s, c=['#ffff00']*len(s), marker='s', linewidths=0, s=120, label=pol)
    pol, s, df = processTriple(f)
    if len(s)>0:
        scatter(df, s, c=['#00ffff']*len(s), marker='s', linewidths=0, s=120, label=pol)
    #pol, s, df = processTriple(f)
    #scatter(s, df, label=pol)
    axis([0.0, 1.0, 0.0, 1.0])
    if plotNum==len(fNames)+1: legend()
    f.close()
#axes().set_ylabel('Fitness penalty')
#axes().set_xlabel('Drug treatment rate')
show()
