package malaria

int GENS = 1000
//double THRESHOLD = 0.3D
//double START_FREQ = 0.0003D
double THRESHOLD = 0.1D
double START_FREQ = 0.003D
boolean doTS = false
Simulation sim
String writeDir

if (args.size()!=1) {
    println "Argument: persistence_dir"
    System.exit(-1)
}
else {
    writeDir = args[0]
}


Persistence writer = new Persistence(writeDir)


List<Double> resLevels = [0.0D]
List<Double> Ss
Ss = [0.3D]
List<Double> TSs 
TSs  = [0.0D]
List<Double> dFreqs
dFreqs = [0.4D]

boolean isSI
isSI = false
List<HashMap<Integer,Double>> workMults = []
workMults= [
    [1:1D],
    [1:0.9D, 2:0.1D], [1:0.5D, 2:0.5D],
    [2:1D], [3:1D], //[4:1D], [5:1D], [6:1D], [7:1D], [8:1D],
    [9:1D],  [10:1D],  /*[20:1D]*/ ]
workMults = [[2:1D]]
minInterval = 0

Table table = new Table(System.out)

sim = new Simulation(GENS, writer, 0, START_FREQ, THRESHOLD, false)
SimulationRunner sr = new SimulationRunner(sim,
    workMults, resLevels, TSs, Ss, dFreqs, isSI)
sr.runStandard(2, 1, minInterval)
print table.reportDuration(GENS, sim, [[0],[1]], THRESHOLD, [])

sim = new Simulation(GENS, writer, 0, START_FREQ, THRESHOLD, false)
sr = new SimulationRunner(sim,
    workMults, resLevels, TSs, Ss, dFreqs, isSI)
sr.runStandard(2, 2, minInterval)
print table.reportDuration(GENS, sim, [[0,1],[2,3]], THRESHOLD, [])

sim = new Simulation(GENS, writer, 0, START_FREQ, THRESHOLD, false)
sr = new SimulationRunner(sim,
    workMults, resLevels, TSs, Ss, dFreqs, isSI)
sr.runStandard(3, 1, minInterval)
print table.reportDuration(GENS, sim, [[0],[1],[2]], THRESHOLD, [])

