package malaria

GenomicConfiguration gc = GenomicConfiguration.getStandard(0.25, 1, 1);
double[] drugFreqs = [0.1D];
double[] freqs = gc.getFreqsFixedForDrug(0.997);
HashMap<Integer, Double> clonalMults = new HashMap<Integer, Double>()
Persistence writer = new Persistence("/home/tra/work/data/malaria")

clonalMults.put(2, 1D);
PolicyResult allFreqs=writer.retrieveDummyMFT(gc, drugFreqs, freqs, clonalMults, 500)
//writer.runFixedReplacement(gc, 0.2, 2, freqs, 0.1, clonalMults, 100);
println allFreqs

gc = GenomicConfiguration.getStandard(0.4, 1, 2);
drugFreqs = [0.2D];
//freqs = gc.getFreqsFixedForDrug(0.05);
freqs = [0.94, 0.02, 0.02, 0.02]
clonalMults = new HashMap<Integer, Double>()

clonalMults.put(1, 0.27D);
clonalMults.put(2, 0.30D);
clonalMults.put(3, 0.23D);
clonalMults.put(4, 0.12D);
clonalMults.put(5, 0.056D);
clonalMults.put(6, 0.021D);
clonalMults.put(7, 0.003D);
allFreqs=writer.retrieveDummyMFT(gc, drugFreqs, freqs, clonalMults, 500)
//writer.runFixedReplacement(gc, 0.2, 2, freqs, 0.1, clonalMults, 100);
println allFreqs