
package malaria;

/**
 *
 * @author tra
 */

import java.util.*;

public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        GenomicConfiguration gc = GenomicConfiguration.getStandard(0.0, 0.0,
                false, 1, 2, false, 0.0, 0.0);
        //double[] drugFreqs = {0.1};
        double[] freqs = gc.getFreqsLinkEqDrug(0.9999);
        PolicyResult results;
        HashMap<Integer, Double> clonalMults = new HashMap<Integer, Double>();
        Persistence writer = new Persistence("/tmp");
        double[] resFreqs1 = {0};
        double[] resFreqs2 = {0, 0};

        //clonalMults.put(1, 0.27);
        //clonalMults.put(2, 0.30);
        //clonalMults.put(3, 0.20);
        //clonalMults.put(4, 0.13);
        //clonalMults.put(5, 0.05);
        //clonalMults.put(6, 0.03);
        //clonalMults.put(7, 0.02);
        //clonalMults.put(1, 0.75);
        //clonalMults.put(2, 0.25);
        clonalMults.put(1, 1.0);
        writer.runThresholdRotate(gc, 0.4, 1, freqs,
                0.4, clonalMults, resFreqs1, 0, 1, 500);
        results = writer.retrieveThresholdRotate(gc, 0.25, 2, freqs,
                0.09, clonalMults, resFreqs2, 0, 0, 500);
        //writer.runFixedReplacement(gc, 0.2, 2, freqs, 0.1, clonalMults, 100);
        System.out.println(results);
        //for (double d : Analysis.getEffectiveSForFreq(results, 1)[1]) {
        //    System.out.println(d);
        //}
    }

}
