from pylab import *
from sys import argv, exit

if len(argv) < 3:
    print "Parameters: <s> <dFreq> [full|none|single]"
    exit (-1)

s = argv[1]
dFreq = argv[2]
cms = ['2', '3', '4']
if len(argv)>3:
    epi='epi/'+argv[3]+'-'
    if argv[3].find("single")>-1:
        num = "12"
        MX = "1"
    else:
        num = "22"
        MX = "MX"
else:
    epi = ""
    num = "21"
    MX = ""


suptitle('LD as a function of multiplicty of infection', fontsize=14)
#title('s=0.1 and dFreq=0.2')
for cm in cms:
    print(epi+'cm' + cm + '/LD'+MX+'MFT-' + num + '-' + cm + '+' + s + '+' + dFreq + '.txt')
    f = open(epi+'cm' + cm + '/LD'+MX+'MFT-' + num + '-' + cm + '+' + s + '+' + dFreq + '.txt')
    l = f.readline()
    myLDs = map(lambda x: float(x), l.rstrip().split(' '))
    plot(myLDs, label='MOI ' + cm)
    f.close()
axes().set_xlabel("Generation")
axes().set_ylabel("LD (signed D')")
legend()
show()
