from pylab import *
from sys import argv, exit

if len(argv) != 3:
    print "Parameters: <s> <dFreq>"
    exit (-1)

s = argv[1]
dFreq = argv[2]
cm = '2'

def getLD(fName):
    f = open(fName)
    l = f.readline()
    myLDs = map(lambda x: float(x), l.rstrip().split(' '))
    f.close()
    return myLDs


suptitle('LD/Epistasis ', fontsize=14)
title('s='+s+' and dFreq='+dFreq)
plt = 1
for epi in ['epi/none-cm'+cm, 'epi/full-cm'+cm]:
    subplot(2,1,plt)
    plt += 1
    ld1 = getLD(epi + '/LD1MFT-22-' + cm + '+' + s + '+' + dFreq + '.txt')
    ldmx = getLD(epi + '/LDMXMFT-22-' + cm + '+' + s + '+' + dFreq + '.txt')
    plot(ld1, label='Same drug '+ epi)
    plot(ldmx, label='Other drug ' + epi)
    legend()
show()
