from pylab import *
from sys import argv

cm2f = argv[1]
cm4f = argv[2]

def getRate(fName):
    f = open(fName)
    freqs = map(lambda x: float(x), f.readline().split(' ')[1:])
    di = {}
    for i in range(1, len(freqs)-1):
        di[freqs[i-1]] = freqs[i]/freqs[i-1]
    freqX = di.keys()
    freqX.sort()
    freqY = []
    for freq in freqX:
        freqY.append(di[freq])
    return freqX, freqY

x2, y2 = getRate(cm2f)
x4, y4 = getRate(cm4f)
plot(x2,y2)
plot(x4,y4, label = 'MOI 4')
show()

