from pylab import *
from sys import argv, exit

if len(argv) != 2:
    print "Parameters: <dFreq>"
    exit (-1)

dFreq = argv[1]
cm = '2'
colors = {'00':'r', '01':'g', '02':'b'}
ss = ['00', '01', '02']

dfp = dFreq[0]+'.'+dFreq[1:]
suptitle('Speed of change', fontsize=14)
title('frequency='+dfp)

def getFreqs(f):
    l = f.readline()
    while l != '':
        toks = l.rstrip().split(' ')
        haplo = toks[0]
        if haplo == "SS":
            s = map(lambda x: float(x), toks[1:])
        elif haplo == "RR":
            mr = map(lambda x: float(x), toks[1:])
        l = f.readline()
    return s, mr

for s in ss:
    f = open('cm' + cm + '/freqsMFT-21-' + cm + '+' + s + '+' + dFreq + '.txt')
    sMFT, mrMFT = getFreqs(f)
    f.close()
    f = open('cm' + cm + '/freqsThresRot-21-' + cm + '+' + s + '+' + dFreq + '.txt')
    sTR, mrTR = getFreqs(f)
    f.close()
    plot(mrMFT, sMFT, colors[s] + '.', label = s)
    plot(mrTR, sTR, colors[s] + '^', label = s + ' Rot')
axes().set_xlabel('Multiple-resistant frequency')
axes().set_ylabel('Sensitive frequency')
legend()
show()


