from pylab import *
from sys import argv, exit

if len(argv) < 3:
    print "Parameters: <s> <dFreq> [zoom]"
    exit (-1)

if len(argv) ==4:
    zoom = True
else:
    zoom = False
s = argv[1]
dFreq = argv[2]
cms = ['1', '2', '4']

sp = s[0]+'.'+s[1:]
dfp = dFreq[0]+'.'+dFreq[1:]
suptitle('Generations needed for a drop of frequency of sensitive clones', fontsize=14)
title('fitness penalty='+sp+' and drug frequency='+dfp)
for cm in cms:
    f = open('cm' + cm + '/freqsMFT-21-' + cm + '+' + s + '+' + dFreq + '.txt')
    l = f.readline()
    toks = l.rstrip().split(' ')
    haplo = toks[0]
    if haplo == "SS":
        freqGen = {}
        freqs = map(lambda x: float(x), toks[1:])
        for gen in range(len(freqs)):
            if not zoom or freqs[gen]<0.1:
                freqGen[1.0-freqs[gen]] = gen
        freqX = freqGen.keys()
        freqX.sort()
        genY = []
        for freq in freqX:
            genY.append(freqGen[freq])
        plot(freqX, genY, label='MOI ' + cm)
    f.close()
axes().set_ylabel('Generations')
axes().set_xlabel('Drop in sensitive frequency')
legend()
show()
