package malaria


String writeDir

if (args.size()!=1) {
    println "Argument: persistence_dir"
    System.exit(-1)
}
else {
    writeDir = args[0]
}

int GENS = 1000
double THRESHOLD = 0.1D      //HERE
double START_FREQ = 0.003D   //HERE
boolean doTS = false         //HERE
boolean isSI = false         //HERE

Persistence writer = new Persistence(writeDir)
sim = new Simulation(GENS, writer, 0, START_FREQ, THRESHOLD, true)

List<HashMap<Integer, Double>> CMs //HERE
CMs = [
    TypicalScenarios.typicalClonal,
    TypicalScenarios.oneTwoClonal,
    TypicalScenarios.twoClonal,
]

CMs = [
    TypicalScenarios.typicalClonal,
]


List <Double> TSs = [0.0D] //HERE
//TSs = TypicalScenarios.massiveTS
List<Double> Ss = TypicalScenarios.massiveS //HERE
//Ss = [0D]
List<Double> dFreqs = TypicalScenarios.massiveDFreqs

List<Double> resLevels = [0D, 0.25D] //HERE
resLevels = [0D]

sr = new SimulationRunner( sim, CMs, resLevels, TSs, Ss, dFreqs, isSI)
sr.run(2, 2, 0) //The zero... HERE


/*
  careful with thresholds with sequence drug change.
  sequence drug change cannot have thesholds that are bigger than bigger
  than the analysis trheshold or the analysis will be bogus
     also, delay swap of drugs might go over threshold during the delay
*/
