package malaria

/**
 *
 * @author tra
 */
class TypicalScenarios {
    static final List<Double> massiveS = (0..50) *. div(50D)
    //static final List<Double> massiveS = (0..100) *. div(100D)
    static final List<Double> fullS = [0.00D, 0.01D, 0.05D, 0.10D, 0.15D, 0.2D, 0.25D, 0.3D, 0.35D, 0.4D, 0.45D, 0.5D]
    static final List<Double> smallS = [0.0D, 0.05D, 0.10D, 0.15D, 0.2D, 0.3D, 0.4D, 0.5D]
    static final List<Double> evenS = [0.0D, 0.1D, 0.2D, 0.3D, 0.4D, 0.5D]

    static final List<Double> massiveDFreqs = (0..50) *. div(50D)
    //static final List<Double> massiveDFreqs = (0..100) *. div(100D)
    static final List<Double> fullDFreqs = [0.0D, 0.01D, 0.05D, 0.075D, 0.10D, 0.125D, 0.15D, 0.2D, 0.25D, 0.3D, 0.35D, 0.4D, 0.5D, 0.6D, 0.7D, 0.8D, 0.9D, 0.99D, 1.0D]
    static final List<Double> smallDFreqs = [0.0D, 0.05D, 0.10D, 0.15D, 0.2D, 0.25D, 0.3D, 0.5D]
    static final List<Double> evenDFreqs = [0.0D, 0.1D, 0.2D, 0.3D, 0.4D, 0.5D, 0.6D, 0.7D, 0.8D, 0.9D, 0.99D]

    static final List<Double> massiveTS = (0..50) *. div(50D)
    //static final List<Double> massiveTS = (0..100) *. div(100D)
    static final List<Double> smallTS = [0.0D, 0.01D, 0.05D, 0.1D, 0.2D]
    static final List<Double> evenTS = [0.0D, 0.1D, 0.2D, 0.3D, 0.4D, 0.5D]

    static final HashMap<Integer, Double> typicalClonal = [
        1:0.27D,  2:0.30D,  3:0.23D, 4:0.12D,
        5:0.056D, 6:0.021D, 7:0.003D         ]
    static final HashMap<Integer, Double> oneClonal = [1:1.0D]
    static final HashMap<Integer, Double> twoClonal = [2:1.0D]
    static final HashMap<Integer, Double> oneTwoClonal = [1:0.75D, 2:0.25D]

    
}

