from Bio.PopGen.GenePop.EasyController import EasyController
from sys import argv
from pylab import *

fName = argv[1]
pol = argv[2]
locus = argv[3]

ctrl = EasyController(fName)
cases = ctrl.get_avg_fst_pair_locus(locus)

x = []
y = []
for case in cases:
  v1, v2 = case
  diff = v1 - v2
  if (cases[case] != '-'):
      x.append(diff)
      y.append(float(cases[case]))

axes().set_xlabel("Generation distance")
axes().set_ylabel("Fst")

title("Fst as a function of generation distance - %s" % (pol))
plot(x,y,'.')
show()
