from pylab import *
from sys import argv, exit

if len(argv) < 3:
    print "Parameters: <s> <cm> [full|none|single]"
    exit (-1)

s = argv[1]
cm = argv[2]
dFreqs = ["01", "02", "05", "07"]
if len(argv)>3:
    epi='epi/'+argv[3]+'-'
    if argv[3].find("single")>-1:
        num = "12"
        MX = "1"
    else:
        num = "22"
        MX = "MX"
else:
    epi = ""
    num = "21"
    MX = ""


suptitle('Evolution of LD with drug frequency', fontsize=14)
#title('s=0.1 and dFreq=0.2')
for dFreq in dFreqs:
    f = open(epi+'cm' + cm + '/LD'+MX+'MFT-' + num + '-' + cm + '+' + s + '+' + dFreq + '.txt')
    l = f.readline()
    myLDs = map(lambda x: float(x), l.rstrip().split(' '))
    plot(myLDs, label='drug ' + dFreq)
    f.close()
axes().set_xlabel("Generation")
axes().set_ylabel("LD")
legend()
show()
